{
  lib,
  python3,
  fetchPypi,
}:

python3.pkgs.buildPythonApplication rec {
  pname = "freecad-mcp";
  version = "0.1.17";
  pyproject = true;

  src = fetchPypi {
    pname = "freecad_mcp";
    inherit version;
    hash = "sha256-DugQWGZizIXO27cjzfyidNTyyahN1BTcDNTl4DHWqN0=";
  };

  build-system = [
    python3.pkgs.hatchling
  ];

  dependencies = with python3.pkgs; [
    mcp
    validators
  ];

  pythonImportsCheck = [
    "freecad_mcp"
  ];

  meta = {
    description = "Add your description here";
    homepage = "https://pypi.org/project/freecad-mcp/";
    license = lib.licenses.mit;
    mainProgram = "freecad-mcp";
  };
}
